deprecations:
  - feature_name: "Pagination when listing projects via Groups API"
    due: Dec. 22, 2019
    reporter: jeremy
    description: |
      GitLab's API response when [listing a group's projects](https://docs.gitlab.com/ee/api/groups.html#list-a-groups-projects) was 
      previously unpaginated, sometimes resulting in a large quantity of Gitaly calls for 
      groups with many projects. In GitLab 12.6, we plan on [introducing pagination](https://gitlab.com/gitlab-org/gitlab/issues/31031) to 
      limit the number of returned projects and improve performance of this endpoint.
